Subject: bug#20752: 24.3; Display of combining characters on OS X after 24.3

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jun 2015 22:15:58 +0300

> From: Pavel Iosad <[email-masked]>
> Date: Sat, 6 Jun 2015 13:59:10 +0100
> 
> This appears to be a regression -- this works fine in 24.3 but not in
> the latest versions. (I'm using the Emacs from emacsforosx.com, on
> Mountain Lion, but compiling from source doesn't help). The display of
> glyphs with combining diacritics where the precomposed glyph is
> unavailable appears to be faulty. Specifically, when the cursor is on
> the character, the diacritic is combined with the space to the
> right. When the cursor is elsewhere, most frequently nothing at all is
> shown (i.e. neither the main character nor the diacritic) or only the
> main character remains shown. To reproduce:
> 
> Open a buffer (scratch will do)
> 
> C-x 8 " a => displays ä
> C-\ ipa-x-sampa RET
> a _ " => displays ä
> b _ " => shows incorrect behaviour
> 
> A screenshot is here:
> https://www.dropbox.com/s/cx8bg2qljwltbz1/Screenshot%202015-06-05%2011.12.04.png?dl=0
> 
> This does not appear to be a font problem, since I am getting this with
> multiple fonts and in any case it works fine with 24.3

Does "C-u C-x =" say that the base character and the diacritical are
composed?  Do you see any difference in what "C-u C-x =" show in 24.3
and the "latest versions" (which means what, exactly, btw?).